// L2_3.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include<iostream>
#include<math.h>
#include<conio.h>
using namespace std;
class Punct
		{
		public:
			double xcord;
			double ycord;
			double getX();
			double getY();
			double distanta (Punct p);
		};

double Punct::getX()
{
	return xcord;
}

double Punct::getY()
{
	return ycord;
}

double Punct::distanta(Punct P)
{
	return sqrt ((double)((xcord-P.xcord)*(xcord-P.xcord)+(ycord-P.ycord)*(ycord-P.ycord)));
}
int _tmain(int argc, _TCHAR* argv[])
{
	Punct P1, P2;
	cout<<"dati x si y pentru primul punct, separate prin spatiu: ";
	cin>>P1.xcord>>P1.ycord;
	cout<<"dati x si y pentru al doilea punct, separate prin spatiu: ";
	cin>>P2.xcord>>P2.ycord;
	cout<<endl;
	cout<<"pentru primul punct coord ox este "<<P1.xcord<<", iar oy este "<<P1.ycord;
	cout<<endl;
	cout<<"pentru al doilea punct coord ox este "<<P2.xcord<<" iar oy este "<<P2.ycord;
	cout<<endl;
	cout<<endl<<"distanta dintre cele doua puncte este: "<<P1.distanta(P2);
	getch();
	return 0;
}

